Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1151450 - [RFE] Support the %license macro in SPEC files
Summary: [RFE] Support the %license macro in SPEC files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vim
Version: 22
Hardware: All
OS: All
unspecified
low
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-10 12:31 UTC by Petr Šabata
Modified: 2016-04-25 22:22 UTC (History)
3 users (show)

Fixed In Version: vim-7.4.475-2.fc20 vim-7.4.1718-1.fc23 vim-7.4.1718-1.fc24 vim-7.4.1718-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-13 07:19:47 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Support %license in SPEC files (1.38 KB, patch)
2014-10-10 12:33 UTC, Petr Šabata
no flags Details | Diff

Description Petr Šabata 2014-10-10 12:31:29 UTC
Description of problem:
Using the new %license SPEC macro in the %files section breaks syntax highlighting.

Version-Release number of selected component (if applicable):
vim-common-7.4.417-1.fc20.x86_64

How reproducible:
Always

Steps to Reproduce:
Mark your license files with the new %license macro instead of %doc, e.g.

%files
%license COPYING
%doc README Changelog
...

Actual results:
Syntax highlighting breaks for the rest of the %files section.

Expected results:
Syntax highlighting works fine.  Extra points for highlighting %license as well.

Comment 1 Petr Šabata 2014-10-10 12:33:59 UTC
Created attachment 945583 [details]
Support %license in SPEC files

Comment 2 Fedora Update System 2014-10-13 09:19:33 UTC
vim-7.4.475-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/vim-7.4.475-2.fc20

Comment 3 Fedora Update System 2014-10-14 04:44:18 UTC
Package vim-7.4.475-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing vim-7.4.475-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12809/vim-7.4.475-2.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-10-17 08:39:26 UTC
vim-7.4.475-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Petr Šabata 2015-05-27 15:55:46 UTC
This is no longer supperted in Fedora 22.  Inspecting the git log seems you dropped the patch in 7.4.629-2 -- any reason for that?  Or just an oversight?

Comment 6 Fedora End Of Life 2015-06-30 01:10:30 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Petr Šabata 2015-06-30 07:42:46 UTC
Still unaddressed.

Comment 8 Karsten Hopp 2016-04-08 07:31:41 UTC
This has been fixed for a while, forgot to close it.

Comment 9 Petr Šabata 2016-04-08 08:42:24 UTC
(In reply to Karsten Hopp from comment #8)
> This has been fixed for a while, forgot to close it.

F22 and F23 are still broken -- the patch is in the package but isn't applied.
F24 and rawhide are probably fine.

Comment 10 Karsten Hopp 2016-04-08 14:28:55 UTC
looks like I've made the change but didn't push an update.
New packages will be available soon

Comment 11 Fedora Update System 2016-04-08 17:42:36 UTC
vim-7.4.1718-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9097b02af0

Comment 12 Fedora Update System 2016-04-08 17:42:53 UTC
vim-7.4.1718-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f71c5f7cb9

Comment 13 Fedora Update System 2016-04-08 17:43:04 UTC
vim-7.4.1718-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d9deaf262

Comment 14 Fedora Update System 2016-04-09 15:20:30 UTC
vim-7.4.1718-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9097b02af0

Comment 15 Fedora Update System 2016-04-09 18:52:00 UTC
vim-7.4.1718-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d9deaf262

Comment 16 Fedora Update System 2016-04-09 19:23:52 UTC
vim-7.4.1718-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f71c5f7cb9

Comment 17 Fedora Update System 2016-04-13 07:19:39 UTC
vim-7.4.1718-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-04-13 21:34:33 UTC
vim-7.4.1718-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-04-25 22:22:07 UTC
vim-7.4.1718-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.